<template>
    <div>
        Add friend page
        <div>
            <div>
                <label for="name">Name</label>
                <input type="text" id="name" name="name" v-model="friend.name">
            </div>

            <div>
                <label for="year">Year</label>
                <input type="text" id="year" name="year" v-model="friend.year">
            </div>

            <div>
                <label for="phone">Phone</label>
                <input type="text" id="phone" name="phone" v-model="friend.phone">
            </div>

            <div>
                <label for="mobphone">Mobile phone</label>
                <input type="text" id="mobphone" name="mobphone" v-model="friend.mobphone">
            </div>

            <div>
                <button @click="onSave">Add</button>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'AddFriendPage',
    data() {
        return {
            friends: [],
            friend: {
                name: '',
                year: '',
                phone: '',
                mobphone: ''
            },
        };
    },
    methods: {
        onSave() {
            const newFriend = {
                name: this.friend.name,
                year: this.friend.year,
                phone: this.friend.phone,
                mobphone: this.friend.mobphone,



            };
            this.friends.push(newFriend)
        }
    }
}
</script>

<style lang="scss" scoped></style>